<?php
if(!empty($get['_file']) && !empty($get['_dataID'])) {

    if (is_readable(coreAudio . 'response/' . $get['_file'] . '.data.r') === true) {
        $data = include_once coreAudio . 'response/' . $get['_file'] . '.data.r';

        if (array_key_exists($get['_dataID'], $data['item']) === true) {

            $referer = $data['referer'];
            $data = $data['item'][$get['_dataID']];
            include_once (coreAudio . 'class.Main.php');
            if(is_readable(filesPathAudio . 'cover/' . $data['cover']) === true) {
                Main::fileLocation('cover/' . $data['cover']);
            }
            Main::uploadFile(filesPathAudio . 'cover/' . $data['cover'], $data['coverServer'], $referer);
            header("Content-type: image/jpeg"); //выводим готовую картинку
            $f = fopen(filesPathAudio . 'cover/' . $data['cover'], 'rb');
            fpassthru($f);
        }
    }
}